"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.highlightPlugin = void 0;
var _adfSchema = require("@atlaskit/adf-schema");
var _pmPlugin = require("./pm-plugin");
var highlightPlugin = exports.highlightPlugin = function highlightPlugin(_ref) {
  var api = _ref.api;
  return {
    name: 'highlight',
    marks: function marks() {
      return [{
        name: 'backgroundColor',
        mark: _adfSchema.backgroundColor
      }];
    },
    pmPlugins: function pmPlugins() {
      return [{
        name: 'highlight',
        plugin: function plugin() {
          return (0, _pmPlugin.createPlugin)({
            api: api
          });
        }
      }];
    },
    getSharedState: function getSharedState(editorState) {
      if (!editorState) {
        return;
      }
      return _pmPlugin.highlightPluginKey.getState(editorState);
    } // Add highlight toolbar button to primary toolbar
    // primaryToolbarComponent({ disabled }) {
    // TODO: Implement primary toolbar UI
    // },
  };
};