import { backgroundColor } from '@atlaskit/adf-schema';
import { createPlugin, highlightPluginKey } from './pm-plugin';
export const highlightPlugin = ({
  api
}) => ({
  name: 'highlight',
  marks() {
    return [{
      name: 'backgroundColor',
      mark: backgroundColor
    }];
  },
  pmPlugins: () => [{
    name: 'highlight',
    plugin: () => createPlugin({
      api
    })
  }],
  getSharedState(editorState) {
    if (!editorState) {
      return;
    }
    return highlightPluginKey.getState(editorState);
  }

  // Add highlight toolbar button to primary toolbar
  // primaryToolbarComponent({ disabled }) {
  // TODO: Implement primary toolbar UI
  // },
});