import { backgroundColor } from '@atlaskit/adf-schema';
import { createPlugin, highlightPluginKey } from './pm-plugin';
export var highlightPlugin = function highlightPlugin(_ref) {
  var api = _ref.api;
  return {
    name: 'highlight',
    marks: function marks() {
      return [{
        name: 'backgroundColor',
        mark: backgroundColor
      }];
    },
    pmPlugins: function pmPlugins() {
      return [{
        name: 'highlight',
        plugin: function plugin() {
          return createPlugin({
            api: api
          });
        }
      }];
    },
    getSharedState: function getSharedState(editorState) {
      if (!editorState) {
        return;
      }
      return highlightPluginKey.getState(editorState);
    } // Add highlight toolbar button to primary toolbar
    // primaryToolbarComponent({ disabled }) {
    // TODO: Implement primary toolbar UI
    // },
  };
};